Bug 1295554 - SSH timeout value hard-coded for git server
SSH timeout value hard-coded for git server
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity high
: DR1
: 6.3.0
Assigned To: Alexandre Porcelli
Jozef Marko
:
Depends On: 1278227
Blocks: 1283837 1285845
  Show dependency treegraph
 
Reported: 2016-01-04 15:03 EST by Alessandro Lazarotti
Modified: 2016-03-15 09:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1278227
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2016-01-04 15:03:09 EST
+++ This bug was initially created as a clone of Bug #1278227 +++

Description of problem:
We are receiving the following error when a user is attempting to authenticate to Git over SSH and the amount of time exceeds the timeout value.

~~~
User session has timed out idling after 10000 ms
~~~

Version-Release number of selected component (if applicable):
uberfire 0.5.3.Final

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
We cant change increase the SSH session timeout

Expected results:
We should be able to change the SSH session timeout value through options.

Additional info:
Timeout value is hard-coded in GitSSHService.java

--- Additional comment from JBoss Product and Program Management on 2015-11-04 20:20:09 EST ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Alexandre Porcelli on 2015-12-07 10:06:06 EST ---

https://github.com/uberfire/uberfire/commit/8dd635d2308d9569adccaab13dad36900a00c5b8
Comment 3 Edson Tirelli 2016-01-06 10:03:17 EST
This is fixed by the linked commit.
Comment 4 Jozef Marko 2016-03-15 09:43:42 EDT
Verified on:
bpms and brms 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.